# BWTAqua

[![License: GPL v3](https://img.shields.io/badge/License-GPL_v3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0.html)  

Simple yet helpful bot to check BWT Aqua's card balance

## Requirements

* nodejs & npm
* python3
* git

## Installation

1. Download package
    1. `git clone https://git.end-play.xyz/profitroll/BWTAqua.git`
    2. `cd BWTAqua`
2. Install needed modules:
    * `python3 -m pip install -r requirements.txt`
3. Install PageSaver:
    1. `cd PageSaver`
    2. `npm install`
    3. `chmod +x pageSaver` (If you want to use compiled page saver)
4. Configure the bot:
    1. `cd ..`
    2. `nano config.json` (You can use any other text editor actually, for example `vim`)
5. Run the bot:
    * `python3 bwtbot.py`

## Configuration

You can edit with vim, nano, whatever.  
If you don't know where to find bot_token and your id - here you can find some hints: [get bot token](https://www.siteguarding.com/en/how-to-get-telegram-bot-api-token), [get your id](https://www.alphr.com/telegram-find-user-id/), [get api_hash and api_id](https://core.telegram.org/api/obtaining_api_id).  
